Hi Ghislain,

when tryining to build I get:

debian-science/git/packages/python-cartopy(debian/master) $ gbp-build 
Make sure we use sid config
gbp:info: Orig tarball 'python-cartopy_0.14.2.orig.tar.gz' not found at 
pristine-tar: successfully generated 
gbp:info: Exporting 'WC' to 
gbp:info: Moving 
I: using cowbuilder as pbuilder
dpkg-checkbuilddeps: Unmet build dependencies: cython3 libgeos-dev libproj-dev 
(>= 4.9.0) python-pyshp python-shapely (>= 1.5.6) python3-pyshp python3-shapely 
(>= 1.5.6)
W: Unmet build-dependency in source
dpkg-buildpackage: source package python-cartopy
dpkg-buildpackage: source version 0.14.2-1
dpkg-buildpackage: source distribution unstable
dpkg-buildpackage: source changed by Ghislain Antony Vaillant 
 dpkg-source -i.git -I.git --before-build python-cartopy-0.14.2
 fakeroot debian/rules clean
dh clean --parallel --with python2,python3 --buildsystem=pybuild
   dh_testdir -O--buildsystem=pybuild
   dh_auto_clean -O--buildsystem=pybuild
I: pybuild base:184: python2.7 setup.py clean 
setup.py:174: UserWarning: Unable to determine GEOS version. Ensure you have 
3.3.3 or later installed, or installation may fail.
  '.'.join(str(v) for v in GEOS_MIN_VERSION), ))
Proj4 version 4.8.0 is installed, but cartopy requires at least version 4.9.0.
E: pybuild pybuild:276: clean: plugin distutils failed with: exit code=1: 
python2.7 setup.py clean 
dh_auto_clean: pybuild --clean -i python{version} -p 2.7 returned exit code 13
debian/rules:17: recipe for target 'clean' failed
make: *** [clean] Error 25
dpkg-buildpackage: error: fakeroot debian/rules clean gave error exit status 2
gbp:error: '~/bin/git-pbuilder ' failed: it exited with 2

BTW, if you are using some Git layout diverging from Debian Science
policy it would help if you use debian/gbp.conf.

Kind regards



Reply via email to